Subject: [Spridgets] Lowering blocks

From: Glen Byrns via Spridgets <[email-masked]>
Date: Thu, 27 Sep 2018 08:01:27 -0700

I decided to lower the Morris truck finally and went looking for the old set of lowering blocks I had once used on the A35 Austin.  It became clear that they had been casualties of the garage fire years ago.  

This leads me to ask if anyone has a spare pair of the aluminum blocks for lowering a Spridget.   The long shackles are already in place so I only need the blocks to get it done. The Spridget blocks will fit the Morris Minor rear leaf springs perfectly.

Thanks,
Glen Byrns
------------------------

[email-masked]

Archive: http://www.team.net/pipermail/spridgets